@charset "utf-8";

/* =========================================
    			CSS Reset
======================================== */
*{ margin:0; padding:0; }
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend, input, textarea,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, main, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin:0;
	padding:0;
	border:0;
	font-size:100%;
	font:inherit;
	vertical-align:baseline;
	float:none;
}
article, aside, details, figcaption, figure, 
footer, header, main, hgroup, menu, nav, section {
	display:block;
}
blockquote, q {
	quotes:none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content:none;
}
table {
	border-collapse:collapse;
	border-spacing:0;
}
/*--------------------------- Ende CSS Reset ---------------------------*/

@font-face { font-family: 'Inter';
             src: url('../fonts/Inter-VariableFont_slnt,wght.woff2') format('truetype'); }
@font-face { font-family: 'Barlow';
             src: url('../fonts/Barlow-Bold.woff2') format('truetype'); }

/*======================================== 
				Farben 
========================================*/
:root {	
	--color-black: #000000;	
	--color-black-op01: rgba(0,0,0,0.1);
	--color-black-op03: rgba(0,0,0,0.2);
	--color-black-op05: rgba(0,0,0,0.5);
	--color-black-op07: rgba(0,0,0,0.7);
	--color-black-op09: rgba(0,0,0,0.9);
	
	--color-red: #e72119;
	--color-red-dark: #BE1A15;
	
	--color-gray: #464646;
	--color-gray-hover: #EFEFEF; 
	--color-gray-light:#f7f7f7;	
	--color-gray-dark: #191919;	
	
	--color-white: #ffffff;
	--color-white-op03: rgba(255,255,255,0.3);
	--color-white-op05: rgba(255,255,255,0.5);
	--color-white-op07: rgba(255,255,255,0.7);
	--color-white-op09: rgba(255,255,255,0.9);	
	
	--color-yellow: #e5c21c;
	--color-yellow-dark: #E6AB1C;
}
/*--------------------------- Ende Farben ---------------------------*/


/* =========================================
    			Grid
======================================== */
.wrapper {
	width:100%;
	height:100%;
}
.row {
	display: block;
	width:100%;
	max-width:72rem;
	margin:auto;	
	float:none;	
	overflow-y: hidden;
}
.row-full-screen {
	display: block;
	width:100%;
	margin:auto;	
	float:none;	
	overflow-y: hidden;
}
.col {
	float:left;
	padding:0;
}
.row .col:last-of-type {margin-right:0.04%}
.col_1 {width:8.33%;}
.col_2 {width:16.66%;}
.col_3 {width:24.99%;}
.col_4 {width:33.32%;}
.col_5 {width:41.65%;}
.col_6 {width:49.98%;}
.col_7 {
	flex: 0 0 58.31%;
	width:58.31%;
}
.col_8 {width:66.64%;}
.col_9 {width:74.97%;}
.col_10 {width:83.3%;}
.col_11 {width:91.63%;}
.col_12 {width:99.96%;}
img, video, object, embed {
	height:auto;
}
@media screen and (max-width:37.5rem) /*600px*/{	
	.col {
		float:none;		
	}	
	.row .col:last-of-type {margin-right:0}
	.col_1, .col_2, .col_3, .col_4, .col_5, .col_6, .col_7, .col_8, .col_9, .col_10, .col_11, .col_12 {
		width:100%;
		margin:0;
	}
}
/*--------------------------- Ende Grid ---------------------------*/


/* =========================================
    			Style
======================================== */
html {
	scroll-behavior: smooth;
	transition: all .3s;
}
body {
	width:100%;
	min-width:20rem;
	background-color:var(--color-gray-light);
	color:var(--color-gray);	
	font-family: 'Inter', sans-serif;
	font-weight: 400;	
	font-size:1rem;	
	text-align: justify;
	hyphens: auto;
}
img {
	display:block;
	width:100%;
	margin:auto;
}
/* section */
section {
	padding:3rem 0;
}
.top-cover {
	position: relative;
	top: -100px;
	z-index: 1;
	height: 95vh;
	max-height: 1080px;
	/*background-image: url("/images/1920px/tree-2916763_1920.jpg");*/
	background-size: cover;
	/*background-attachment: fixed;*/
	background-position:top;
	color:var(--white);	
	display: table;
	width: 100%;
	text-align: center;
	text-shadow: 1px 2px 4px rgba(0, 0, 0, 0.2);	
}
.top-cover-subpage {
	top: 0;
	height: 35vh;
}
.section-index-top {
	background-image: url("/images/1920px/worker-is-cutting-wires-with-lineman-s-pliers.jpg");	
}
.section-index-top:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: -webkit-radial-gradient(transparent, var(--color-black));
    background: -o-radial-gradient(transparent, var(--color-black));
    background: radial-gradient(transparent, var(--color-black-op03) 10%, var(--color-black) 70%);
    opacity: 0.9;
    z-index: 1;
}
.logo-top {
	width: 200px;
	margin: 0 auto;
	filter: drop-shadow(0 0 10px var(--color-white));
}
.content {
	position: relative;
	z-index: 99;
	padding: 15vh 0;
}
section.minusTop {
	padding: 0;	
	z-index: 99;
	position: relative;
	top: -10rem;	
	margin-bottom: -10rem;	
}
/* ende section */
hr {
	margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px dotted var(--color-gray);
}
/*----- helpers -----*/
.padding-div {
	padding:1.5rem;
}
.margin-top-bottom {
	margin: 3rem auto;
}
.position-minus {
	position: relative;
	top:-5rem;
}
/*----- Ende helpers -----*/
@media screen and (max-width:30rem) /*480px*/ {
	section {
		padding:3rem 0;
	}
	.top-cover {
		top: -150px;
	}
	.content {
		padding: 25vh 0 15vh 0;
	}
}
/*--------------------------- Ende Style ---------------------------*/


/*========================================
				Sticky Header 
========================================*/

header {
	position: fixed;
	z-index: 9999999;
	top: 0;
	width: 100%;
	padding: 0 25%;	
	transition: background-color 0.5s, padding 0.5s;
}
header.sticky {
	background-color: var(--color-gray-light);
	padding: 2.5rem 25%;
	box-shadow: var(--color-black-op01) 0px 4px 12px;
}
@media only screen and ( max-width: 40em ) /* 640 */ {
	header {
		padding: 1rem;
	}
	header.sticky {
		background-color: transparent;
		padding: 1rem;
		box-shadow: none;
	}
}
/*==================== Ende Sticky Header ====================*/


/* =========================================
    			Navigation
======================================== */
#nav {
	width: 60em; /* 1000 */
	font-family: 'Inter', sans-serif;
	font-weight: 400;
	position: absolute;
	top: 0;
	margin: auto; 
}
#nav > a {
	display: none;
}
#nav li {
	position: relative;
}
#nav li a {
	color: var(--color-gray-light);
	display: block;
}
header.sticky #nav li a {
	color: var(--color-gray);
}
#nav li a:active {
	background-color: transparent;
}
#nav span:after {
	width: 0;
	height: 0;
	border: 0.313em solid transparent; /* 5 */
	border-bottom: none;
	border-top-color: var(--color-red);
	content: '';
	vertical-align: middle;
	display: inline-block;
	position: relative;
	right: -0.313em; /* 5 */
}
/* first level */
#nav > ul {
	height: 2rem; /* 60 */
	background-color: transparent;
	padding: 1rem;
}
#nav > ul > li {
	width: 25%;
	height: auto;
	float: left;	
}
#nav > ul > li > a {
	height: 100%;
	font-size: 1rem; /* 24 */
	text-align: center;
	padding: 0.5rem;
}
#nav > ul > li:not( :last-child ) > a {
	border-right: 1px solid var(--color-red);
}
#nav > ul > li:hover > a, #nav > ul:not( :hover ) > li.active > a {
	color: var(--color-red);
	text-decoration: none;
}
/* second level */
#nav li ul {
	background-color: var(--color-gray-light);
	display: none;
	position: absolute;
	top: 100%;
	box-shadow: var(--color-black-op01) 0px 4px 12px;
}
#nav li:hover ul {
	display: block;
	left: 0;
	right: 0;
}
#nav li:not( :first-child ):hover ul {
	left: -1px;
}
#nav li ul a {
	font-size: 1rem;
	padding: 0.75em; /* 15 (20) */
	color: var(--color-gray);
	text-align: center;
}
#nav li ul li a:hover, #nav li ul:not( :hover ) li.active a {
	background-color: transparent;
	color: var(--color-red);
	text-decoration: none;
}
@media only screen and ( max-width: 62.5em ) /* 1000 */ {
	#nav {
		width: 100%;
		position: static;
		margin: 0;
	}
}
@media only screen and ( max-width: 40em ) /* 640 */ {
	#nav {
		position: relative;
		top: auto;
		left: auto;
	}
	#nav > a {
		width: 3.125em; /* 50 */
		height: 3.125em; /* 50 */
		text-align: left;
		text-indent: -9999px;
		background-color: var(--color-red-dark);
		position: relative;
	}
	#nav > a:before, #nav > a:after {
		position: absolute;
		border: 2px solid var(--color-white);
		top: 35%;
		left: 25%;
		right: 25%;
		content: '';
	}
	#nav > a:after {
		top: 60%;
	}
	#nav:not( :target ) > a:first-of-type, #nav:target > a:last-of-type {
		display: block;
	}
	#nav li a {
		color: var(--color-gray);
		display: block;
	}
	/* first level */
	#nav > ul {
		height: auto;
		display: none;
		position: absolute;
		left: 0;
		right: 0;
		background-color: var(--color-gray-light);
		box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
	}
	#nav:target > ul {
		display: block;
	}
	#nav > ul > li {
		width: 100%;
		float: none;
		line-height: 2.5rem;
	}
	#nav > ul > li > a {
		height: auto;
		text-align: left;
		padding: 0 0.833em; /* 20 (24) */
	}
	#nav > ul > li:not( :last-child ) > a {
		border-right: none;
		border-bottom: 1px solid var(--color-red-dark);
	}
	/* second level */
	#nav li ul {
		position: static;
		padding-top: 0;
	}
}
/*--------------------------- Ende Navigation ---------------------------*/


/* =========================================
    			Textformatierung
======================================== */
h1, h2, h3, h4 {
	font-family: 'Barlow', sans-serif;
	text-align: left;
}
h1 {
	font-size: 4rem;
	font-weight: 900;
	letter-spacing: 2px;
	text-align: center;
	margin-bottom: 2rem;
}
h1 span {
	font-size: 1.2rem;
	font-weight: 400;
	margin-bottom: 2rem;
}
h2 {
	font-size: 3rem;
	font-weight: 900;
	margin-bottom: 2rem;
}
h3 {
	font-size: 2rem;
	font-weight: 600;
	margin-bottom: 1.5rem;
	color: var(--color-red);
}
h4 {
	font-size: 1.2rem;
	font-weight: 600;
	margin-bottom: 2rem;
}
strong, b {
	font-weight: 600;
}
.text-align-center {
	text-align: center;
}
/* Listen */
ul {
	margin-bottom: 1.5rem;	
}
ul li {	
	margin: 0.5rem 0;
	list-style: none; 
	text-align: left;
}
ul.check-list li {
	margin-left: 2rem; 
 	text-indent: -1rem ;
}
ul.check-list li i {
	margin-right: 1rem;
	color: var(--color-red)
}
ul.dot li {
	list-style: circle;
}
/* Ende Listen */
.highlight {
	font-weight: 500;
	font-size: 1rem;
	text-align: center;
	margin-right: 1.5rem;	
	min-width: 200px;
	padding: 2rem;
	box-shadow: 0 4px 12px var(--color-black-op03);
}
@media screen and (max-width:48rem) /*768px*/ {
	h1 {
		font-size: 2.5rem;
	}
	h2 {
		font-size: 1.8rem;
	}
	h3 {
		font-size: 1.2rem;
	}
}
@media screen and (max-width:30rem) /*480px*/ {
	h1 {
		font-size: 1.8rem;
	}
	h1 span {
		font-size: 1rem;
		font-weight: 300;
	}
	.highlight {
		width: 100%;
		margin-bottom: 0.5rem;
		padding: 0.5rem;
	}
}
/*--------------------------- Ende Textformatierung ---------------------------*/


/* =========================================
    			Img Formatierung
======================================== */
.img-shadow {
	box-shadow: var(--color-black-op03) 0px 10px 20px 0px;
}
/*--- Lightbox ---*/
.lightbox {
	display: none;
	position: fixed;
	z-index: 99999999;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: var(--color-black-op09);
}
.lightbox:target {
	display: block;
}
.lightbox .lightbox-container {	
	display: block;
	width: 100%;
	height: 100%;
	margin: 5rem auto;	
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
}
/*--- Ende Lightbox ---*/
/*--------------------------- Ende Img class ---------------------------*/



/* =========================================
    			Produktgalerie
======================================== */
.slider {
	width: fit-content;
	margin: 0.5rem auto;
	display: flex;
	flex-direction: column;
	transition: 0.2s;
}
.buttons {
	padding: 0.5rem;
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.buttons button {
	font-size: 2rem;
	padding: 0.5rem 1.35rem;
	border: none;
	cursor: pointer;
	background-color: transparent;
	color: var(--color-white);
}
.buttons button:focus, .buttons button:focus-visible {
	outline: none;
}
.buttons button:hover {
	color: var(--color-red);
}
.images {
	--max-h: 80vh;
	--max-w: 80vw;
	/* Assigned to variable to reuse on img */
	max-width: var(--max-w);
	max-height: var(--max-h);
	width: var(--width);
	height: var(--height);
	position: relative;
	overflow: hidden;
	transition: 0.2s;
}
.slider .images img {
	max-height: var(--max-h);
	max-width: var(--max-w);
	height: var(--height);
	width: var(--width);
	position: absolute;
	left: 100%;
	top: 0;
	transition: 0.2s;
}
.slider .images img:first-of-type {
	left: 0;
}
.close {
	position: absolute;
	top: 3rem;
	right: 3rem;
	color: var(--color-yellow);
	font-size: 2rem;
	text-shadow: none;
	opacity: 1;
}
.close:hover {
	color: var(--color-red);
}
/*--------------------------- Ende Produktgalerie ---------------------------*/




/* =========================================
    			Button
======================================== */
.buttons-row.center {
    justify-content: center;
}
.buttons-row {
    align-items: stretch;
    display: flex;
}
.buttons-row .btn {
	font-family: 'Barlow', sans-serif;
	font-weight: 500;
	font-size: 1.2rem;
	margin-right: 1.5rem;
	min-width: 250px;
	padding: 1.5rem 2rem;
}
.buttons-row .btn:last-of-type {
	margin-right: 0;	
}
.btn-primary {
	border: 1.5px solid var(--color-red);
	border-radius: 0;
    background-color: var(--color-red);
    color: var(--color-gray-light);
    text-align: center;
    transform-style: preserve-3d;
    justify-content: center;    
    font-weight: 700;
    line-height: 20px;
    text-decoration: none;
    transition: background-color .3s, transform .3s, color .3s;
}
.btn-secondary {
    border: 1.5px solid var(--color-gray-light);
	border-radius: 0;
    color: var(--color-gray-light);
    text-align: center;
    transform-style: preserve-3d;
    background-color: transparent;
    font-weight: 700;
    line-height: 20px;
    transition: border-color .3s, transform .3s, background-color .3s, color .3s;
}
.btn-secondary:hover {
	border-color: var(--color-yellow);
	color: var(--color-yellow);
	background-color: transparent;
}
.btn:hover {
	transform: translate3d(0, -3px, .01px);
}
.btn-primary:hover {
	background-color: var(--color-red-dark);
	border-color: var(--color-red-dark);
}
.minusTop .buttons-row .btn {
	flex-grow: 1;
	height: 300px;
	text-align: left!important;
}
.bg-muster {
	background-image: url("/images/900px/elektro-muster.png");
	background-size: cover;
	border: 1px solid var(--color-gray);
}
.bg-red {
	background-color: var(--color-red);
	color: var(--color-white);
}
.bg-white {
	background-color: var(--color-white);
	color: var(--color-gray);
}
.bg-white:hover {
	border-color: var(--color-white);
	color: var(--color-gray);
}
@media screen and (max-width:48em) {
	.buttons-row {
		flex-direction: column;		
	}
	.buttons-row .btn {
		margin-bottom: 1rem;
		width: 100%;
		padding: 1rem 2rem;
	}
	.minusTop .buttons-row .btn {
		height: 220px;
	}
}
/* Info */
.info {
	font-family: 'Inter', sans-serif;
}
.info .title {
	font-size: 1.5rem;
	font-weight: 600;
	margin-bottom: 1.5rem;
}
.info i {
	font-size: 2rem;
	margin: 2rem 0;
}
.bg-white .info i  {
	color: var(--color-red-dark);
}
.bg-white:hover .info .title {
	color: var(--color-red-dark);
}
/* Ende Info */
/*--------------------------- Ende Button ---------------------------*/


/* =========================================
    			Footer
======================================== */
footer {
	background-image: url("/images/900px/elektro-muster_op03.png");
	background-size:auto;
	background-repeat:no-repeat;
	background-position: right;
	background-color: var(--color-gray-dark);
	color:var(--color-gray-light);
}
footer section {
	padding-top:6rem;
	padding-bottom: 0;
}
footer hr {
	border: solid 1px var(--color-white-op05);
}
footer a {
	color:var(--color-gray-light);
}
footer a:hover {
	color:var(--color-yellow);
	text-decoration: none;
}
footer ul li {
	display: inline;
	padding-bottom: 0.5rem;
	text-indent: 0;
 	margin-left: 0;
	color: var(--color-gray);
}
footer ul li:after {
	content:"|";
	margin: auto 1rem;
}
footer ul li:last-child:after {
	content:"";
	margin: auto 1rem;
}
footer ul li i {
	margin-right: 1rem;
	color: var(--color-red)
}
.fb-share-button {
	display:none;
}
.footer-logo {
	width:60%;
	margin:auto;
	filter: drop-shadow(0 0 10px var(--color-white));
}
.footer-contact-link-container {
    grid-column-gap: 18px;
    grid-row-gap: 18px;
    flex-direction: column;
    display: flex;
}
.footer-contact-link {
    grid-column-gap: 16px;
    grid-row-gap: 16px;
    border: solid 1.5px var(--color-red);
    box-shadow: none;
    transform-style: preserve-3d;
    background-color: var(--color-gray-dark);
    grid-template-rows: auto;
    grid-template-columns: 48px 1fr;
    grid-auto-columns: 1fr;
    align-items: center;
    width: 100%;
    padding: 1rem;
    text-decoration: none;
    transition: background-color .3s, border-color .3s, transform .3s;
    display: grid;
}
.footer-contact-link i {
	font-size: 1.5rem;
	padding: 1rem 0.5rem;
	margin-right: 0;
	background-color: var(--color-red);
	text-align: center;
}
.footer-contact-link:hover {
	border-color: var(--color-yellow);
	transform: translate3d(0, -3px, .01px);
	transition: background-color .3s, border-color .3s, transform .3s;
}
.footer-contact-link:hover i {
	color: var(--color-gray);
	background-color: var(--color-yellow);
}
.last-footer {
	color: var(--color-white-op05);
}
@media screen and (max-width:48rem) /*768px*/ {
	
}
@media screen and (max-width:30rem) /*480px*/ {
	footer {
		background-image: url("/images/900px/elektro-muster_op01.png");
		background-size:cover;
	}
	.last-footer {
		font-size: 0.8rem;
	}
}
/*--------------------------- Ende Footer ---------------------------*/